Skip to main content
GET
/
api
/
public
/
v1
/
analytics
/
campaigns
/
timeline
Get campaign activity timeline
curl --request GET \
  --url https://api.coldsend.pro/api/public/v1/analytics/campaigns/timeline \
  --header 'X-API-Key: <api-key>'
{
  "from_date": "<string>",
  "to_date": "<string>",
  "timeline": [
    {
      "date": "<string>",
      "sent": 123,
      "opened": 123,
      "replied": 123,
      "bounced": 123,
      "open_rate": 123,
      "reply_rate": 123,
      "bounce_rate": 123
    }
  ],
  "success": true,
  "message": "Timeline retrieved successfully"
}

Authorizations

X-API-Key
string
header
required

API key with format cs_live_xxx

Query Parameters

from_date
string<date> | null

Start date (ISO 8601). Defaults to 90 days ago.

to_date
string<date> | null

End date (ISO 8601). Defaults to today.

Response

Timeline retrieved successfully

Response for campaign timeline analytics.

from_date
string
required

Start of the range (YYYY-MM-DD)

to_date
string
required

End of the range (YYYY-MM-DD)

timeline
PublicTimelineDataPoint · object[]
required

Daily data points

success
boolean
default:true
message
string
default:Timeline retrieved successfully